MyGUI: MyGUI::EventPairAddParameter< EventObsolete, Event > Class Template Reference

MyGUI 3.4.3

Public Member Functions
MyGUI::EventPairAddParameter< EventObsolete, Event > Class Template Reference

`#include <MyGUI_EventPair.h>`

Inheritance diagram for MyGUI::EventPairAddParameter< EventObsolete, Event >:
[legend]

## Public Member Functions
template<typename TP1, typename TP2>
void | operator() (TP1 p1, TP2 p2)
template<typename TP1, typename TP2, typename TP3, typename TP4>
void | operator() (TP1 p1, TP2 p2, TP3 p3)
template<typename TP1, typename TP2, typename TP3, typename TP4>
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4)
Public Member Functions inherited from MyGUI::CompositeEvent< EventObsolete, Event >
template<class T>
CompositeEvent & | operator= (T *_delegate)
template<class T>
CompositeEvent & | operator= (const T &_delegate)
CompositeEvent & | operator= (IObsoleteDelegate *_delegate)
template<class T>
void | operator+= (T *)=delete
template<class T>
void | operator-= (T *)=delete
void | operator+= (IObsoleteDelegate *_delegate)
void | operator+= (IDelegate *_delegate)
void | operator-= (IObsoleteDelegate *_delegate)
void | operator-= (IDelegate *_delegate)
void | clear ()
bool | empty () const

## Additional Inherited Members
Public Types inherited from MyGUI::CompositeEvent< EventObsolete, Event >
using | IDelegate = typename Event::IDelegate
Data Fields inherited from MyGUI::CompositeEvent< EventObsolete, Event >
EventObsolete | m_eventObsolete
Event | m_event

## Detailed Description

template<typename EventObsolete, typename Event>
class MyGUI::EventPairAddParameter< EventObsolete, Event >

Definition at line 175 of file MyGUI_EventPair.h.

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2>

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2 )
| inline

Definition at line 184 of file MyGUI_EventPair.h.

## ◆ operator()() [2/3]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3 )
| inline

Definition at line 192 of file MyGUI_EventPair.h.

## ◆ operator()() [3/3]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::EventPairAddParameter< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4 )
| inline

Definition at line 200 of file MyGUI_EventPair.h.

The documentation for this class was generated from the following file:

- MyGUI_EventPair.h